Skip to main content
`Ctrl`+`K`

# TSSetPostStep

Sets the general-purpose function called once at the end of each time step.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetPostStep(TS ts, PetscErrorCode (*func)(TS ts))

Logically Collective

## Input Parameters

- ts - The `TS` context obtained from `TSCreate()`

- func - The function

## Calling sequence of `func`

- ts - the `TS` context

## Note

The function set by `TSSetPostStep()` is called after each successful step. The solution vector obtained by `TSGetSolution()` may be different than that computed at the step end if the event handler locates an event and `TSPostEvent()` modifies it. Use `TSSetPostEvaluate()` if an unmodified solution is needed instead.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetPreStep()`, `TSSetPreStage()`, `TSSetPostEvaluate()`, `TSGetTimeStep()`, `TSGetStepNumber()`, `TSGetTime()`, `TSRestartStep()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex77.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages